import * as CodeMirror from 'codemirror';
import { HintResult, HintOptions, ExtendedCodeMirror, Completion, HintInfo } from './models/ExtendedCodeMirror';
import * as React from 'react';
import FilterQueryParser from './FilterQueryParser';
export default class AutoCompletePopup {
    private cm;
    private needAutoCompletevalues;
    doc: CodeMirror.Doc;
    hintOptions: HintOptions;
    completionShow: boolean;
    valueWasSelected: boolean;
    appendSpace: boolean;
    customRenderCompletionItem: (self: HintResult, data: Completion, registerAndGetPickFunc: () => PickFunc, currentCursor: any, query: any) => React.ReactElement<any>;
    pick: (cm: ExtendedCodeMirror, self: HintResult, data: Completion) => string;
    parser: FilterQueryParser;
    constructor(cm: ExtendedCodeMirror, needAutoCompletevalues: (text: string) => HintInfo[]);
    private processText;
    private onPick;
    private renderHintElement;
    private manualPick;
    private buildCompletionObj;
    private findLastSeparatorPositionWithEditor;
    show(): void;
    private createHintOption;
}
interface PickFunc {
    (): void;
}
export {};
